Subject: Re: bug#73318: 31.0.50; with-native-compilation=aot breaks exec -a emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Oct 2024 14:47:42 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>    [email-masked],  [email-masked]
> Date: Mon, 07 Oct 2024 16:16:06 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Suit yourself, but I don't promise I will agree to accept the code
> > changes you want to make.  This makes less and less sense to me as we
> > continue talking about it.
> 
> That's fair enough.
> 
> Of the ways to make "exec -a emacs" work that I've proposed, which one
> do you dislike the least?
> 
> So far I think the choice is between:
> 
> - Fallback to finding elns relative to PATH_EXEC (or some similar hardcoded path)
> - Fallback to finding elns relative to the pdump location
> 
> Or maybe there's some other way to make "exec -a emacs" work that you
> like better?
> 
> If you dislike them all equally, I'll probably implement the "fallback
> to finding elns relative to pdump" approach.

How will any of this DTRT in both Emacs that is run uninstalled
(i.e. from its build tree) and Emacs that is run installed?

We have this figured out now, but we rely on the directory of the
Emacs binary.  If you insist to hide that information from Emacs,
please explain how you intend to solve the above conundrum.